.navbar-container {
  background: linear-gradient(
    97.94deg,
    var(--navGradFirst) -13.16%,
    var(--navGradSecond) 52.91%,
    var(--navGradThird) 103.6%,
    var(--navGradFourth) 123.54%
  );
}

.navbar-container a {
  text-decoration: none;
}

.navbar-container .navbar-wrapper :nth-child(4) {
  margin-left: 1rem;
}

.navbar-container .navbar-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  position: sticky;
  z-index: 999;
  font-size: 1rem;
  font-weight: 600;
  padding: 0.5rem 2rem;
}

.navbar-wrapper .search input {
  height: 1.5rem;
  border: transparent;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  margin-left: 2rem;
  background-color: var(--transForm);
  color: var(--text);
}
.navbar-wrapper .nav-logo {
  align-items: center;
  cursor: pointer;
}

.navbar-wrapper .nav-logo img {
  width: 130px;
}

.navbar-wrapper a .profile-icon {
  width: 50px;
  height: 50px;
  background-color: var(--avarBg);
  border-radius: 25px;
  position: relative;
  overflow: hidden;
  border: 0.15rem solid var(--avaBorder);
}

.navbar-wrapper a .profile-icon-load {
  width: 50px;
  height: 50px;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  border-radius: 25px;
  position: relative;
  overflow: hidden;
}

.navbar-wrapper a .profile-icon-load img {
  display: none;
}

.navbar-wrapper a .profile-icon img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 60%;
}

.navbar-wrapper .nav-menu {
  display: flex;
  flex-direction: row;
  list-style: none;
  text-align: center;
  margin: 0.5rem 0;
}

.navbar-wrapper .nav-menu .nav-item {
  padding: 0 2rem;
}

.navbar-wrapper .nav-menu .nav-item .nav-links {
  text-decoration: none;
  color: var(--textNav);
  cursor: pointer;
}

.navbar-wrapper .nav-menu .nav-item .nav-links .MuiSvgIcon-root {
  margin-bottom: -0.2rem;
}

.navbar-wrapper .nav-menu .nav-item .nav-links p {
  font-size: 0.8rem;
  margin: 0;
  margin-top: 0.4rem;
  margin-bottom: 0.2rem;
}

.navbar-wrapper .nav-menu .nav-item:after {
  content: "";
  display: block;
  height: 4px;
  width: 0;
  border-radius: 2rem;
  background: transparent;
  transition: width 0.5s ease;
}

.navbar-wrapper .nav-menu .nav-item:hover:after {
  background: var(--textNav);
  width: 100%;
  border-radius: 2rem;
  margin: auto;
}

.navbar-wrapper .nav-menu .nav-item.active {
  color: var(--colorInde);
}

.navbar-wrapper .nav-icon {
  display: none;
}

@media screen and (max-width: 960px) {
  .navbar-container {
    width: 100%;
  }
  .navbar-container .navbar-wrapper {
    padding: 0.75rem 1.5rem;
  }

  .navbar-wrapper .nav-menu .nav-item {
    margin-bottom: 1rem;
  }

  .navbar-wrapper .nav-menu .nav-item .nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 0.7rem;
  }

  .navbar-wrapper .nav-menu .nav-item .nav-links p {
    margin-bottom: 0;
    margin-left: 0.5rem;
  }

  .navbar-wrapper .nav-menu {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 70px;
    opacity: 1;
    left: -110%;
    width: 100%;
    padding: 1rem 0 0;
    transition: all 0.5s ease;
    background: linear-gradient(
      97.94deg,
      var(--navGradFirst) -13.16%,
      var(--navGradSecond) 52.91%,
      var(--navGradThird) 103.6%,
      var(--navGradFourth) 123.54%
    );
  }

  .navbar-wrapper .nav-menu.active {
    left: 0px;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 1;
    background: linear-gradient(
      97.94deg,
      var(--navGradFirst) -13.16%,
      var(--navGradSecond) 52.91%,
      var(--navGradThird) 103.6%,
      var(--navGradFourth) 123.54%
    );
  }

  .navbar-wrapper .nav-menu .nav-item:hover:after {
    width: 20%;
  }

  .navbar-wrapper .nav-logo {
    margin-right: 2rem;
  }

  .navbar-wrapper .nav-icon {
    display: block;
    cursor: pointer;
    color: var(--navHam);
    margin-left: 2rem;
  }
}

@media screen and (max-width: 590px) {
  .navbar-container .navbar-wrapper {
    padding-bottom: 1.1rem;
  }

  .navbar-wrapper .nav-logo {
    margin-right: 0;
  }

  .navbar-wrapper .nav-logo {
    display: none;
  }

  .navbar-wrapper a {
    order: -1;
  }

  .navbar-wrapper a .profile-icon {
    margin-left: 0;
  }
}

@media screen and (max-width: 490px) {
  .navbar-wrapper .nav-icon {
    margin-left: 1rem;
  }

  .navbar-wrapper .search input {
    width: 120px;
    margin-left: 1rem;
  }
}

@keyframes animation-loading {
  0% {
    background-position: -300px center;
  }
  100% {
    background-position: 300px center;
  }
}

.navbar-wrapper .nav-logo svg .path05,
.navbar-wrapper .nav-logo svg .path06,
.navbar-wrapper .nav-logo svg .path07,
.navbar-wrapper .nav-logo svg .path08,
.navbar-wrapper .nav-logo svg .path09 {
  fill: var(--fillMain);
}

.navbar-wrapper .nav-logo svg .stop01 {
  stop-color: var(--stopColorFirst);
}

.navbar-wrapper .nav-logo svg .stop02 {
  stop-color: var(--stopColorSecond);
}

.navbar-wrapper .nav-logo svg .stop03 {
  stop-color: var(--stopColorThird);
}

.navbar-wrapper .nav-logo svg .stop04 {
  stop-color: var(--stopColorFourth);
}
